httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From HAMMER Cédric Ext ROSI/DPS <chammer....@orange-ftgroup.com>
Subject RE: [users@httpd] Compilation Problem when trinyg to build http 2.2.6 rpm
Date Thu, 13 Sep 2007 09:19:27 GMT

No one to help me with this ?
Reading the error lines, I've seen checking openssl/ssl.h presence... no 
But when I can to locate it : 
 
# find / -name ssl.h
/usr/include/openssl/ssl.h
 
Could it be a problem with httpd.spec ? If then where could be the problem in that file (that's
my first rpm building, so I'm not used to the spec files  ...) ?


________________________________

	De : HAMMER Cédric Ext ROSI/DPS [mailto:chammer.ext@orange-ftgroup.com] 
	Envoyé : mercredi 12 septembre 2007 15:34
	À : users@httpd.apache.org
	Objet : [users@httpd] Compilation Problem when trinyg to build http 2.2.6 rpm
	
	
	Hi everybody,
	 
	I'm just trying to build a rpm of httpd 2.2.6 using the sources.
	But I got a problem with SSL during the compilation phase ; here is a copy of this error:
	 
	mkdir modules/ssl 
	checking whether to enable mod_ssl... checking dependencies 
	checking for SSL/TLS toolkit base... none 
	checking for OpenSSL version... checking openssl/opensslv.h usability... yes 
	checking openssl/opensslv.h presence... yes 
	checking for openssl/opensslv.h... yes 
	checking openssl/ssl.h usability... yes 
	checking openssl/ssl.h presence... no 
	configure: WARNING: openssl/ssl.h: accepted by the compiler, rejected by the preprocessor!

	configure: WARNING: openssl/ssl.h: proceeding with the preprocessor's result 
	configure: WARNING:     ## ------------------------------------ ## 
	configure: WARNING:     ## Report this to bug-autoconf@gnu.org <https://mail.google.com/mail?view=cm&tf=0&to=bug-autoconf@gnu.org>
. ## 
	configure: WARNING:     ## ------------------------------------ ## 
	checking for openssl/ssl.h... no 
	not encouraging 
	WARNING: OpenSSL version may contain security vulnerabilities! 
	         Ensure the latest security patches have been applied! 
	checking openssl/engine.h usability... yes 
	checking openssl/engine.h presence... yes 
	checking for openssl/engine.h... yes 
	checking for SSLeay_version in -lcrypto... no 
	checking for SSL_CTX_new in -lssl... no 
	checking for ENGINE_init... no 
	checking for ENGINE_load_builtin_engines... no 
	checking for SSL_set_cert_store... no 
	configure: error: ... Error, SSL/TLS libraries were missing or unusable 
	error: Bad exit status from /var/tmp/rpm-tmp.46448 (%build) 
	
	
	RPM build errors: 
	    Bad exit status from /var/tmp/rpm-tmp.46448 (%build) 
	 
	 
	In addition, please note openssl and openssl-devel are installed. I've even tried two different
versions, but always got the same error ...
	 
	# rpm -qa | grep openssl 
	openssl-devel-0.9.7a-33.23 
	openssl-0.9.7a-33.23
	 
	# rpm -qa |grep openssl 
	openssl-0.9.8b-15.fc8 
	openssl-devel-0.9.8b-15.fc8
	 
	Thanks for your help !
	 
	Cedric
*********************************
This message and any attachments (the "message") are confidential and intended solely for
the addressees. 
Any unauthorised use or dissemination is prohibited.
Messages are susceptible to alteration. 
France Telecom Group shall not be liable for the message if altered, changed or falsified.
If you are not the intended addressee of this message, please cancel it immediately and inform
the sender.
********************************
	



*********************************
This message and any attachments (the "message") are confidential and intended solely for
the addressees. 
Any unauthorised use or dissemination is prohibited.
Messages are susceptible to alteration. 
France Telecom Group shall not be liable for the message if altered, changed or falsified.
If you are not the intended addressee of this message, please cancel it immediately and inform
the sender.
********************************
Mime
View raw message